import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/responsive_layout.dart';

class ResponsiveTextTheme extends ThemeExtension<ResponsiveTextTheme> {
  final TextStyle deviceManagementTitle;

  ResponsiveTextTheme({
    required this.deviceManagementTitle,
  });

  @override
  ThemeExtension<ResponsiveTextTheme> copyWith() => this;

  @override
  ThemeExtension<ResponsiveTextTheme> lerp(
          ThemeExtension<ResponsiveTextTheme>? other, double t) =>
      this;

  static ResponsiveTextTheme of(BuildContext context) {
    final isMobile = ResponsiveLayout.isMobile(context);
    return Theme.of(context).extension<ResponsiveTextTheme>() ??
        ResponsiveTextTheme(
          deviceManagementTitle: TextStyle(
              fontSize: isMobile ? 20 : 30,
              fontWeight: FontWeight.w700,
              color: ColorsManager.whiteColors),
        );
  }
}
